;----------------------------------------------------------------------
; (c) copyright 1993 Santronics Software
;----------------------------------------------------------------------
;
; THIS XPMENU.CTL WORKS FOR VERSION 4.00 OF XPMAIL.EXE ONLY. THE 3.00
; MENU SYSTEM WILL NOT WORK WITH THIS VERSION 4.00 of XPMAIL.
;
; Silver Xpress V4.00 Menu System is a dynamic menu system.  In 3.00,
; we had hard coded menu names. Hard Coded Names are no longer required.
; You DEFINE the NAMES! This gives us alot of flexiability for growth.
; Upto 20 Menus can be defined.
;
; There are two special menus Xpress looks for:
;
;       TopMenuName        REQUIRED  - Top Level Menu
;       ConfigMenuName     OPTIONAL  - Displayed to first time user
;
; TopMenuName     This menu will be the FIRST MENU DISPLAY to the user.
;                 The exception is if the user is a FIRST TIME USER and
;                 ConfigMenuName is defined.

TopMenuName  MAIN

; ConfigMenuName  If defined, this is the menu which will be shown the
;                 first time he uses Xpress. This allows the Xpress to
;                 present Xpress configuration options first.

ConfigMenuName CONFIG

;----------------------------------------------------------------------
; Defining a Menu to Present to the user.
;
; Each Menu is defined using the MENU and ENDMENU blocks.
;
;           MENU MyMenuName Security_Value
;             MenuItem ......
;             MenuItem ......
;             MenuItem ......
;           ENDBLOCK
;
; Each MENUITEM has the following:
;
;    SECURITY VALUE  0-64K
;    HOT KEY COLOR
;    OPTION COLOR
;    ACTION TAG
;           Optional Data for SOME action tags
;             _DISPLAY <filename>
;             _DNLDFILE <filename or ? for prompt>
;             _UPLDFILE <filename or ? for prompt>
;             _GOSUB    Name of Menu to Link
;    OPTION   Hot key must be surrounded by carets. If you precede the
;             option with a QUOTE, then no leading spaces will be removed.
;             If you end the line a semi-colon, then no carriage return
;             and linefeed will be issue. Good for creating 2 column
;             menus.
;
;             If the option has any of the % parameters, then a substition
;             will be made.
;
;               %sa - # of selected areas
;               %tm - file transfer protocol
;               %cm - compression method
;               %gb - general bulletins
;               %kw - total keywords
;               %ro - receive own mail
;               %rg - receive group mail
;               %ld - last usage date
;               %ag - Color Graphics (Ansi)
;               %av - Avatar Graphics
;               %hk - Menu Hot Keys
;               %ic - IBM Characters
;               %nm - Novice Menu Mode
;               %xm - Veteran Menu Mode
;               %gx - Gold Xpress Menu Mode
;               %vs - Vacation saver
;               %fs - file scan
;               %fd - file scan date
;               %pt - packet type
;               %sk - strip kludges in mail
;               %ch - capitalize header in qwk mail
;               %sn - Do not Send NDX files
;               %sx - Do not send QWK/X files
;               %so - send selected areas only
;               %hr - HMS (QBBS/RA) last read value
;               %pc - Use Packet Counter
;               %fa - Use flex assistance
;               %mo - Show area with mail only
;               %ww - Perform Word Wrapping for QWK
;
;----------------------------------------------------------------------
;
; Menu block must begin with a MENU command, the first parameter is the
; menu name and the optional second parameter is the Xpress Security
; value. If no security is define, then it becomes 0 and all users will
; see this menu.

MENU MAIN
;
; Prompt shown in gold xpress mode
;
  GXPROMPT  SX_MAIN>
;
; Title shown during novice mode
;
; NTITLE    YELLOW Silver Xpress Main Menu
;
; Title shown during verteran (expert) mode
;
  VTITLE    YELLOW Main Menu
;
; name of help file (also name of optional menu ansi file shown, x.ANS or x.TXT)
;
  HELP      main
;
; Menu items. In this example, the NTITLE is commented out and menuitems are
; used for TITLE HEADER for the menu.
;
  MENUITEM  0 WHITE  WHITE  _JUNK     'Ŀ'
  MENUITEM  0 YELLOW WHITE  _JUNK     '                  ^Silver Xpress Main Menu^              '
  MENUITEM  0 WHITE  WHITE  _JUNK     ''

  MENUITEM 100 YELLOW  CYAN _GOSUB SYSOP   ' [^#^]....Sysop Menu
  MENUITEM  0 YELLOW  CYAN _DISPLAY  DLRDR ' [^R^]....Download Xpress Reader ;
  MENUITEM  0 YELLOW  CYAN _GOSUB ASSIST   '  [^X^]....Xpress Assistant
  MENUITEM
  MENUITEM  0 YELLOW  CYAN _DNLDMAIL       ' [^D^]....Scan and Download Mail ;
  MENUITEM  0 YELLOW  CYAN _GOSUB CONFIG   '  [^C^]....Configuration
  MENUITEM  0 YELLOW  CYAN _UPLDMAIL       ' [^U^]....Upload Your Mail       ;
  MENUITEM  0 YELLOW  CYAN _USERLOG        '  [^P^]....Personal Log
  MENUITEM  0 YELLOW  CYAN _VACPAC         ' [^V^]....Check Vacation Mail    ;
  MENUITEM  0 YELLOW  CYAN _HELP           '  [^?^]....Show help
  MENUITEM  0 YELLOW  CYAN _QUIT           ' [^Q^]....Return to Main System  ;
;
; if you do not want to have a goodbye option, then comment out the
; goodbye option. If do you comment it out, uncomment the _JUNK MENUITEM
; below it.
;
  MENUITEM  0 YELLOW  CYAN _GOODBYE        '  [^G^]....GoodBye (Logoff)
; MENUITEM
  MENUITEM  0 WHITE  WHITE _JUNK      ''
;
; Normally, will allow a carriage return to go to previous menu. It will
; normally use the LAST hotkey defined. Since the last menuitem is not
; a normal option, RETURNKEY is used to define the key that will be used
; when carriage return is hit.
;
  RETURNKEY Q
;
; This is the line shown during veteran mode
;
   VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
;
; This is the prompt shown to users. Highlight color, normal color,
; and the prompt color is the order of the format. Only two substitutions
; can be made, %tr time remaining, %fn user's first name.
;
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

;
; configuration menu. !! NOTE: FOR FIRST TIME USERS. CONFIG IS THE FIRST
;                        MENU THEY WILL SEE.
;

MENU CONFIG
  GXPROMPT  SX_CFG>
  VTITLE    WHITE Configuration Menu
  HELP      config
  MENUITEM  0 63     WHITE _JUNK      '^ Configuration Menu ^'
  MENUITEM  0 YELLOW CYAN _SELECT     ' [^S^]....Select Mail Areas,   - %sa selected
  MENUITEM  0 YELLOW CYAN _XFERTYPE   ' [^F^]....File Transfer Method - %tm
  MENUITEM  0 YELLOW CYAN _ARCHTYPE   ' [^A^]....Archiver Method      - %cm
  MENUITEM
  MENUITEM  0 YELLOW CYAN _GOSUB MAILOPTS  ' [^M^]....Mail Options
  MENUITEM  0 YELLOW CYAN _GOSUB SERVICES  ' [^X^]....Xpress Services
  MENUITEM  0 YELLOW CYAN _GOSUB TERMINAL  ' [^T^]....Terminal Options
  MENUITEM  0 YELLOW CYAN _SAVEINFO   ' [^C^]....Save Current Configuration
  MENUITEM  0 YELLOW CYAN _HELP       ' [^?^]....Show help
  MENUITEM  0 YELLOW CYAN _RETURN     ' [^Q^]....Return to Main Menu
  MENUITEM  0 WHITE  WHITE _JUNK      ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

;
; mail options
;

MENU MAILOPTS
  GXPROMPT  SX_MOPT>
  VTITLE    WHITE Mail Options
  HELP      moptions
  MENUITEM  0 63     WHITE _JUNK         '^ Mail Options ^'
  MENUITEM  0 YELLOW CYAN _KEYWORDS      ' [^K^]....Define Search Keywords          - ^%kw^
  MENUITEM  0 YELLOW CYAN _OWNMAIL       ' [^Y^]....Receive Your Own Mail           - ^%ro^
  MENUITEM  0 YELLOW CYAN _GRPMAIL       ' [^G^]....Receive Group Mail              - ^%rg^
  MENUITEM  0 YELLOW CYAN _GOSUB PACKET  ' [^P^]....Choose Mail Packet Format       - ^%pt^ format
  MENUITEM  0 YELLOW CYAN _PKTCOUNT      ' [^C^]....Use Packet Extension Counter    - ^%pc^
  MENUITEM  0 YELLOW CYAN _SELAREAS      ' [^S^]....Send Selected Areas Only        - ^%so^
  MENUITEM  0 YELLOW CYAN _USEFLEXASST   ' [^F^]....Use Flex Assistant at Mail Scan - ^%fa^
  MENUITEM  0 YELLOW CYAN _SHOWMAILONLY  ' [^O^]....Show Areas with Mail Only       - ^%mo^
  MENUITEM  0
  MENUITEM  0 YELLOW CYAN _LASTDATE      ' [^D^]....Change Mail Pointers By Date
  MENUITEM  0 YELLOW CYAN _CHANGELR      ' [^N^]....Change Mail Pointers By Number
  MENUITEM  0 YELLOW CYAN _RESTORELR     ' [^R^]....Restore Entry Mail Pointers
  MENUITEM  0 YELLOW CYAN _HELP          ' [^?^]....Show help
  MENUITEM  0 YELLOW CYAN _GOSUB MAIN    ' [^/^]....Main Menu
  MENUITEM  0 YELLOW CYAN _RETURN        ' [^Q^]....Return to Previous Menu
  MENUITEM  0 WHITE  WHITE _JUNK      ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

;
; terminal options
;
MENU TERMINAL
  GXPROMPT  SX_TOPT>
  VTITLE     WHITE Terminal Options
  HELP      terminal
  MENUITEM  0 63     WHITE _JUNK      '^ Terminal Options ^ '
  MENUITEM  0 YELLOW CYAN _COLOR      ' [^C^]....Ansi Color              - %ag
  MENUITEM  0 YELLOW CYAN _TTYMODE    ' [^T^]....TTY (No Color)          - %at
  MENUITEM  0 YELLOW CYAN _AVATAR     ' [^A^]....Avatar Graphics         - %av
  MENUITEM  0 YELLOW CYAN _HOTKEY     ' [^H^]....Menu Hot Keys           - %hk
  MENUITEM  0 YELLOW CYAN _IBMCHAR    ' [^I^]....IBM Characters          - %ic
  MENUITEM  0 YELLOW CYAN _NOVICE     ' [^N^]....Novice Menu Mode        - %nm
  MENUITEM  0 YELLOW CYAN _VETERAN    ' [^V^]....Veteran Menu Mode       - %xm
  MENUITEM  0 YELLOW CYAN _GXPRESS    ' [^X^]....Gold Xpress Menu Mode   - %gx
  MENUITEM  0
  MENUITEM  0 YELLOW CYAN _RPASSWORD  ' [^R^]....Reader Password         ;
  MENUITEM  0 YELLOW CYAN _DPASSWORD  '  [^D^]....Door Password
  MENUITEM  0 YELLOW CYAN _HELP       ' [^?^]....Show help               ;
  MENUITEM  0 YELLOW CYAN _GOSUB MAIN '  [^/^]....Main Menu
  MENUITEM  0 YELLOW CYAN _RETURN     ' [^Q^]....Return Previous Menu
  MENUITEM  0 WHITE  WHITE _JUNK      ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

;
; services menu
;

MENU SERVICES
  GXPROMPT  SX_SERV>
  VTITLE     WHITE Xpress Service Menu
  HELP      services
  MENUITEM  0 63     WHITE _JUNK      '^ Xpress Service Options ^'
  MENUITEM  0 YELLOW CYAN _VACSAVER   ' [^V^]....Xpress Vacation Saver    - %vs
  MENUITEM  0 YELLOW CYAN _FILESCAN   ' [^F^]....Scan for New Files       - %fs
  MENUITEM  0 YELLOW CYAN _FILEDATE   ' [^C^]....Change File Scan Date    - %fd
  MENUITEM  0 YELLOW CYAN _BULLETINS  ' [^B^]....Receive Bulletins        - %gb
  MENUITEM  0 YELLOW CYAN _DELXAM     ' [^E^]....Erase Mail Recording
  MENUITEM  0 YELLOW CYAN _HELP       ' [^?^]....Show help
  MENUITEM  0 YELLOW CYAN _GOSUB MAIN ' [^/^]....Main Menu
  MENUITEM  0 YELLOW CYAN _RETURN     ' [^Q^]....Return to Previous Menu
  MENUITEM  0 WHITE  WHITE _JUNK      ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

;
; sysop menu, only the Xpress sysop can use the action codes in this
; menu. It doesn't matter if you moved them to another menu.
;

MENU SYSOP 100
  GXPROMPT  SX_SYS>
  TITLE     YELLOW Xpress Sysop Menu
  HELP      sysop
  MENUITEM  10  63     WHITE _JUNK         '^ Xpress Sysop Option ^'
  MENUITEM  10  YELLOW  CYAN _USRLIST      ' [^1^] See User List
  MENUITEM  10  YELLOW  CYAN _RUSRLIST     ' [^2^] See Registered User List
  MENUITEM  200 YELLOW  CYAN _DNLDFILE  ?  ' [^3^] Download File
  MENUITEM  200 YELLOW  CYAN _UPLDFILE  ?  ' [^4^] Upload File.
  MENUITEM  10  YELLOW  CYAN _SYSPARM      ' [^5^] Xpress Variables
  MENUITEM  200 YELLOW  CYAN _LOG          ' [^6^] See Xpress Log
  MENUITEM  200 YELLOW  CYAN _SHELL        ' [^7^] Shell to DOS
  MENUITEM  200 YELLOW  CYAN _CHAT         ' [^8^] Remote Activated Chat
  MENUITEM  200 YELLOW  CYAN _HELP         ' [^?^] Show help
  MENUITEM  10  YELLOW  CYAN _RETURN       ' [^Q^] Return
  MENUITEM  10  WHITE  WHITE _JUNK         ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU


;
; Menu for Xpress Packet Type
;

MENU PACKET
  GXPROMPT  SX_PKT>
  VTITLE    WHITE Mail Packet Type
  HELP      pkttype
  MENUITEM  0 63     WHITE _JUNK      '^ Mail Packet Type ^'
  MENUITEM  0 YELLOW WHITE _JUNK        Current Packet Type : ^%pt^
  MENUITEM
  MENUITEM  0 YELLOW CYAN _PKTOPX     ' [^O^]....OPX Silver Xpress Mail Packets
  MENUITEM  0 YELLOW CYAN _PKTQWK     ' [^K^]....QWK Mail Packets Compatible with QWK Readers
  MENUITEM  0 YELLOW CYAN _GOSUB QWKOPTS  ' [^1^]....QWK Mail Options
  MENUITEM
  MENUITEM  0 YELLOW CYAN _HELP       ' [^?^]....Show help
  MENUITEM  0 YELLOW CYAN _GOSUB MAIN ' [^/^]....Main Menu
  MENUITEM  0 YELLOW CYAN _RETURN     ' [^Q^]....Return to Previous Menu
  MENUITEM  0 WHITE  WHITE _JUNK      ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

;
; QWK Menu Options
;

MENU QWKOPTS
  GXPROMPT  SX_QWKOPT>
  VTITLE    WHITE Mail Packet Type
  HELP      qwkopts
  MENUITEM  0 63     WHITE _JUNK      '^ QWK Mail Options ^'
  MENUITEM  0 63     WHITE _JUNK
  MENUITEM  0 YELLOW CYAN _QWKSTRIPK  ' [^K^]....Strip Kludges Lines         %sk
  MENUITEM  0 YELLOW CYAN _QWKCAPHDR  ' [^U^]....Capitalize Message Header   %ch
  MENUITEM  0 YELLOW CYAN _QWKNDX     ' [^P^]....Send NDX Index Files        %sn
  MENUITEM  0 YELLOW CYAN _QWKWWRAP   ' [^W^]....Perform Word Wrapping       %ww
  MENUITEM  0
  MENUITEM  0 YELLOW CYAN _HELP       ' [^?^]....Show help
  MENUITEM  0 YELLOW CYAN _GOSUB MAIN ' [^/^]....Main Menu
  MENUITEM  0 YELLOW CYAN _RETURN     ' [^Q^]....Return to Previous Menu
  MENUITEM  0 WHITE  WHITE _JUNK      ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

MENU ASSIST
  GXPROMPT  SX_ASST>
  VTITLE    WHITE Xpress Assistant
  HELP      pkttype
  MENUITEM  0 63     WHITE _JUNK      '^ Xpress Assistant ^'
  MENUITEM  0 YELLOW CYAN _DISPLAY EXPLAIN ' [^E^]....Explain what a BBS is?
  MENUITEM  0 YELLOW CYAN _DISPLAY ASSIST  ' [^A^]....Explain Xpress with Example
  MENUITEM  0 YELLOW CYAN _DISPLAY NEWUSER ' [^N^]....New User Information
  MENUITEM  0 YELLOW CYAN _RETURN          ' [^Q^]....Return to Previous Menu
  MENUITEM  0 WHITE  WHITE _JUNK      ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU
