;------------------------------------------------------------------------
;               Silver Xpress 4.00 Protocol Definition file
;            (c) copyright 1988-1993 by Santronics Software
;------------------------------------------------------------------------

;
; PROTOCOL: This statement begins a PROTOCOL definition. Each PROTOCOL
; must have a description. The description is shown to the user at
; the file transfer selection menu.
;
Protocol Z-Modem
;
;  HOTKEY: The hotkey is the menu option letter the user hits to select
;  this protocol.
;
  HotKey   Z
;
;  DOWNLOAD: This is the statement used to SEND the OPX file to the
;  user.  The default XMT.EXE is the new Silver Xpress X, Y, Zmodem
;  protocols. NO need to use DSZ. It is free of charge to registered
;  sysops of Silver Xpress. To see the switch parameters for XMT, type
;  XMT at the DOS command prompt.  The substitution parameters are defined
;  as follows:
;
;   %p  - comm port      %lb - Lock Baud Rate    %b  - user connect rate
;   %f  - name of file
;
  Download $XMT  /F /C %p /B %b /T /Z  %f
;
;  UPLOAD: This is the statement used to UPLOAD a reply file.
;

  Upload   $XMT  /F /C %p /B %b /R /Z /O %f

;
;  BATCH:  This statement is not used YES. It will eventually tell Xpress
;  if batch file transmissions can take place.
;
  Batch    Yes
;
;  TWOWAY: This statement tells Xpress to LOOK in the UPLOAD directory
;  for a REP file AFTER a download takes place. It was meant to be used
;  for a dual transfer protocol system such as BI-MODEM or HSLINK. Only
;  answer YES to his question if a dual transfer protocol is DEFINED and
;  implemented.
;
  TwoWay   No
End Protocol

Protocol Y-Modem
  HotKey   Y
  Download !XMT.EXE  /C %p /B %b /T /Y %f
  Upload   !XMT.EXE  /C %p /B %b /R /Y %f
  Batch    No
  TwoWay   No
End Protocol

Protocol X-Modem/CRC
  HotKey   X
  Download !XMT.EXE  /C %p /B %b /T /X %f
  Upload   !XMT.EXE  /C %p /B %b /R /X %f
  Batch    No
  TwoWay   No
End Protocol

Protocol X-Modem-1K
  HotKey   1
  Download !XMT.EXE   /C %p /B %b /T /K %f
  Upload   !XMT.EXE   /C %p /B %b /R /K %f
  Batch    No
  TwoWay   No
End Protocol

Protocol HS-LINK Two Way Transfer
  HotKey   H
  Download !HS-LINK.EXE  %f -u%ud
  UpLoad   !HS-LINK.EXE  -u%f
  Batch    No
  TwoWay   Yes
End Protocol

